/***************************************************************************
 *   Copyright (C) 2004 by Stephen Anthony                                 *
 *   stephena@users.sourceforge.net                                        *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef GAME_H
#define GAME_H

#include <qstring.h>

/** Hold game info for an Atari2600 game.
*/

class Game
{
	public:
		Game( void );
		~Game( void );

		/** sets the rom of a game */
		void setAvailable( bool available ) { _available = available; }
		/** returns the rom of a game */
		bool isAvailable( void ) { return _available; }

		/** sets the rom of a game */
		void setRom( const QString &rom ) { _rom = rom; };
		/** returns the rom of a game */
		QString rom( void ) const { return _rom; }

		/** sets the md5 sum of a game */
		void setMd5( const QString &md5 )  { _md5 = md5; };
		/** returns the md5 sum of a game */
		QString md5( void ) const { return _md5; }

		/** sets the name of a game */
		void setName( const QString &name ) { _name = name; }
		/** returns the name of a game */
		QString name( void ) const { return _name; }

		/** sets the rarity of a game */
		void setRarity( const QString &rarity ) { _rarity = rarity; }
		/** returns the rarity of a game */
		QString rarity( void ) const { return _rarity; }

		/** sets the manufacturer of a game */
		void setManufacturer( const QString &manufacturer) { _manufacturer = manufacturer; }
		/** returns the manufacturer of a game */
		QString manufacturer( void ) const { return _manufacturer; }

		/** sets the note of a game */
		void setNote( const QString &note ) { _note = note; }
		/** returns the note of a game */
		QString note( void ) const { return _note; }

	protected:
		bool _available;
		QString _rom;
		QString _md5;
		QString _name;
		QString _rarity;
		QString _manufacturer;
		QString _note;
};

#endif
