/***************************************************************************
 *   Copyright (C) 2004 by Stephen Anthony                                 *
 *   stephena@users.sourceforge.net                                        *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include "game.h"
#include "gamelist.h"


GameList::GameList( void )
{
	listSize = 512;
	index = 0;

	list = new Game*[listSize];
}


GameList::~GameList( void )
{
	clear();
	delete list;
}


void GameList::insert( Game* game )
{
	if( index >= listSize )
	{
		listSize *= 2;
		Game** temp = new Game*[listSize];

		for(int i = 0; i < index; ++i)
			temp[i] = list[i];

		delete[] list;
		list = temp;
	}

	list[index] = game;
	++index;
}


void GameList::clear( void )
{
	for( int i = 0; i < index; ++i )
		delete list[i];

	index = 0;
}


Game* GameList::at( int i )
{
	if( i < index )
		return list[i];
	else
		return (Game*) NULL;
}


int GameList::size( void )
{
	return index;
}
