/***************************************************************************
 *   Copyright (C) 2004 by Stephen Anthony                                 *
 *   stephena@users.sourceforge.net                                        *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifdef HAVE_CONFIG_H
	#include <config.h>
#endif

#include <kapplication.h>
#include <kcmdlineargs.h>
#include <kaboutdata.h>
#include <klocale.h>

#include "kstella.h"

static const char *description =
	I18N_NOOP("KStella\nA frontend for the Atari 2600 emulator 'Stella'.");


int main(int argc, char *argv[])
{
	KAboutData aboutData( "kstella", I18N_NOOP("KStella"),
		VERSION, description, KAboutData::License_GPL, "(c) 2001-2004 Stephen Anthony",
		0, "http://kstella.sourceforge.net", "stephena@users.sourceforge.net");

	aboutData.addAuthor("Stephen Anthony",
						I18N_NOOP("Current maintainer, port to KDE2/3"),
						"stephena@users.sourceforge.net",
						"http://minbar.org");

    aboutData.addCredit("Scott L. Patterson", I18N_NOOP("Original KDE1 Author"));
	KCmdLineArgs::init( argc, argv, &aboutData );
	KApplication app;

	KStella *kstella = new KStella();
	kstella->show();

	return app.exec();
}
