/***************************************************************************
 *   Copyright (C) 2004 by Stephen Anthony                                 *
 *   stephena@users.sourceforge.net                                        *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef PREVIEW_H
#define PREVIEW_H

#include <qwidget.h>
#include <qpixmap.h>
#include <qframe.h>


/** Used to show a snapshot or label onscreen,  Previously just a QLabel,
	but changes to QT 3.1 made this class necessary.

	@author Stephen Anthony
*/
class Preview : public QFrame
{
	public: 
		Preview( QWidget* parent );
		~Preview();

		/** updates the internal buffer with the given pixmap */
		void setPixmap( const QPixmap& pixmap );

		/** reimplemented to take care of bitblt'ing */
		void paintEvent( QPaintEvent* e );

	private:
		/** internal pixmap buffer which is blitted to the screen */
		QPixmap myBuffer;
};

#endif
